Not able to run ERB

I compliled Ruby 1.9.2.p0 tar and installed with
make&&make install.

When I try to run the command erb I get this

[root@test ruby-1.9.2-p0]# ../bin/erb
<internal:lib/rubygems/custom_require>:29: [BUG] iseq_compile_each:
unknown node: NODE_SCOPE
ruby 1.9.2p0 (2010-08-18) [x86_64-linux]

-- control frame ----------
c:0005 p:---- s:0015 b:0015 l:000014 d:000014 CFUNC :require
c:0004 p:0013 s:0011 b:0011 l:000010 d:000010 METHOD <internal:lib/
rubygems/custom_require>:29
c:0003 p:0011 s:0006 b:0006 l:002318 d:000a98 EVAL /usr/bin/erb:6
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:002318 d:002318 TOP